Update Manual Payment status
Update a test manual payment (e.g. FPS, PayNow) to status = EXECUTED, by simulating manually transferring the specified payment to the Finverse Testbank.
Authorization: customer_token
Testing use-case
Flow: Manual payments
-
Hong Kong: FPS
-
Singapore: PayNow
Availability: any manual payment created by a non-live customer app.
Scenario: Manual payment success
-
Test case: Finverse/bank confirms the manual payment was successfully received
-
Result: payment
status=EXECUTED
Testing steps:
-
Create Payment Link using
POST /payment_links. Note thepayment_link_id(also available in the payment linkurl: e.g. https://pay.prod.finverse.net/link/01HW1V8PX04GHM6Q8ZAR7DPRAT) -
Open the Payment Link UI and select a manual payment method (e.g. FPS/PayNow)
-
Click “I have paid” in the Finverse payment UI (if shown)
-
If you are requested to enter your “Accountholder last name or company name” to confirm the payment, enter a unique value (duplicate values within the same 15 minute window will prevent the Finverse Testbank from simulating that a unique mock payment has been received).
-
-
Fetch the Payment Link using
GET /payment_links/{payment_link_id}. Note thepayment.payment_idvalue in the Payment Link response. You can also retrieve the created Payment record through the Finverse Dashboard UI (dashboard.finverse.com > Payments). -
Mark the Payment Link as
EXECUTEDusingPOST /testing/payments/{payment_id}/status.
Response
Success: HTTP 200 with empty body
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The test payment ID
Body
Request body for updating the test manual payment status
Status of the payment. Must be EXECUTED.
EXECUTED Response
Successful